Package: org.apache.groovy.json.internal

## [Java] Class JsonParserLax

- org.apache.groovy.json.internal.JsonParserLax

- Authors:
    Richard Hightower

- - ### Constructor Summary

    Constructors
    Constructor and description
    `JsonParserLax ()`
    `JsonParserLax (boolean useValues)`
    `JsonParserLax (boolean useValues, boolean chop)`
    `JsonParserLax (boolean useValues, boolean chop, boolean lazyChop)`
    `JsonParserLax (boolean useValues, boolean chop, boolean lazyChop, boolean defaultCheckDates)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected Object` | `decodeFromChars(char[] cs)`
    `` | `protected Value` | `decodeNumberLax(boolean minus)` Decodes a number from a JSON value.
    `` | `protected Object` | `decodeValue()`

- - ### Constructor Detail

    - #### public JsonParserLax()

    - #### public JsonParserLax(boolean useValues)

    - #### public JsonParserLax(boolean useValues, boolean chop)

    - #### public JsonParserLax(boolean useValues, boolean chop, boolean lazyChop)

    - #### public JsonParserLax(boolean useValues, boolean chop, boolean lazyChop, boolean defaultCheckDates)

  - ### Method Detail

    - #### protected final Object decodeFromChars(char[] cs)

    - #### protected final Value decodeNumberLax(boolean minus)

      Decodes a number from a JSON value. If at any point it is determined that the value is not a valid number the value is treated as a `String`.

      Parameters:
        `minus` - indicate whether the number is negative
      Returns:
        a number, or `String` if not a valid number

    - #### protected final Object decodeValue()